Get imported cluster add-on security posture
import requests
url = "https://platform.ankra.app/org/clusters/imported/{cluster_id}/addons/{addon_name}/security"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/clusters/imported/{cluster_id}/addons/{addon_name}/security', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/clusters/imported/{cluster_id}/addons/{addon_name}/security \
--header 'Authorization: Bearer <token>'{
"accepted_risk": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"acknowledged": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"actionable": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"addon_name": "<string>",
"addon_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"addon_slug": "<string>",
"affected_images": 123,
"affected_workloads": 123,
"attribution": {
"ambiguous": 123,
"matched": 123,
"partial": true,
"status": "matched",
"unmatched": 123
},
"chart_name": "<string>",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fixable_severe": 123,
"last_scan": "2023-11-07T05:31:56Z",
"namespace": "<string>",
"observed": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"release_name": "<string>",
"scanner": {
"fresh_clusters": 123,
"last_scan": "2023-11-07T05:31:56Z",
"stale_after_seconds": 123,
"stale_clusters": 123,
"status": "fresh",
"unscanned_clusters": 123
},
"status": "connected",
"top_actionable_findings": [
{
"actionable_count": 123,
"affected_clusters": 123,
"affected_workloads": 123,
"cve_id": "<string>",
"finding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fixable_occurrences": 123,
"last_seen_at": "2023-11-07T05:31:56Z",
"package_name": "<string>",
"package_type": "<string>",
"severity": "<string>",
"title": "<string>",
"known_exploited": true,
"kev_date_added": "<string>",
"kev_due_date": "<string>",
"kev_ransomware_use": true,
"epss_score": 123,
"epss_percentile": 123,
"kev_vendor_project": "<string>",
"kev_product": "<string>",
"kev_vulnerability_name": "<string>",
"kev_required_action": "<string>"
}
],
"known_exploited": 123
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Security
Get imported cluster add-on security posture
GET
/
org
/
clusters
/
imported
/
{cluster_id}
/
addons
/
{addon_name}
/
security
Get imported cluster add-on security posture
import requests
url = "https://platform.ankra.app/org/clusters/imported/{cluster_id}/addons/{addon_name}/security"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/clusters/imported/{cluster_id}/addons/{addon_name}/security', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/clusters/imported/{cluster_id}/addons/{addon_name}/security \
--header 'Authorization: Bearer <token>'{
"accepted_risk": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"acknowledged": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"actionable": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"addon_name": "<string>",
"addon_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"addon_slug": "<string>",
"affected_images": 123,
"affected_workloads": 123,
"attribution": {
"ambiguous": 123,
"matched": 123,
"partial": true,
"status": "matched",
"unmatched": 123
},
"chart_name": "<string>",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fixable_severe": 123,
"last_scan": "2023-11-07T05:31:56Z",
"namespace": "<string>",
"observed": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"release_name": "<string>",
"scanner": {
"fresh_clusters": 123,
"last_scan": "2023-11-07T05:31:56Z",
"stale_after_seconds": 123,
"stale_clusters": 123,
"status": "fresh",
"unscanned_clusters": 123
},
"status": "connected",
"top_actionable_findings": [
{
"actionable_count": 123,
"affected_clusters": 123,
"affected_workloads": 123,
"cve_id": "<string>",
"finding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fixable_occurrences": 123,
"last_seen_at": "2023-11-07T05:31:56Z",
"package_name": "<string>",
"package_type": "<string>",
"severity": "<string>",
"title": "<string>",
"known_exploited": true,
"kev_date_added": "<string>",
"kev_due_date": "<string>",
"kev_ransomware_use": true,
"epss_score": 123,
"epss_percentile": 123,
"kev_vendor_project": "<string>",
"kev_product": "<string>",
"kev_vulnerability_name": "<string>",
"kev_required_action": "<string>"
}
],
"known_exploited": 123
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
connected, degraded, stale, installed_no_reports, not_installed Show child attributes
Show child attributes